ATA_SCSI_QUEUECMD(9)

NAME
ata_scsi_queuecmd - Issue SCSI cdb to libata-managed device

SYNOPSIS

int ata_scsi_queuecmd (struct scsi_cmnd * cmd, void (*done) <funcparams>struct scsi_cmnd *</funcparams>);

ARGUMENTS

cmd SCSI command to be sent

done
    Completion function, called when command is complete

DESCRIPTION

In some cases, this function translates SCSI commands into ATA taskfiles, and queues the taskfiles to be sent to hardware. In other cases, this function simulates a SCSI device by evaluating and responding to certain SCSI commands. This creates the overall effect of ATA and ATAPI devices appearing as SCSI devices.

LOCKING

Releases scsi-layer-held lock, and obtains host_set lock.

RETURNS

Zero.

AUTHOR
Jeff Garzik.